=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,11 @@
 #!/usr/bin/make -f
-export COMPONENT_HASH=1837931259c3c06ea46c1522a3256abd235f6af5
- HBASE_VERSION=2.1.0+cdh6.3.0
- HBASE_PATCHED_VERSION=2.1.0-cdh6.3.0
+export COMPONENT_HASH=38cee81c0692c6410c4feae4169e0c3cb2b54800
+ HBASE_VERSION=2.1.0+cdh6.3.2
+ HBASE_PATCHED_VERSION=2.1.0-cdh6.3.2
  HBASE_BASE_VERSION=2.1.0
- HBASE_RELEASE=1279813
+ HBASE_RELEASE=1605554
  CDH_CUSTOMER_PATCH=p0
- CDH_PARCEL_CUSTOM_VERSION=2.1.0+cdh6.3.0-1279813.bionic
+ CDH_PARCEL_CUSTOM_VERSION=2.1.0+cdh6.3.2-1605554.bionic
 #
 # Licensed to the Apache Software Foundation (ASF) under one or more
 # contributor license agreements.  See the NOTICE file distributed with
